pcl::visualization::AreaPickingEvent Class Reference

/brief Class representing 3D area picking events. More...

`#include <pcl/visualization/area_picking_event.h>`

## Public Member Functions

| AreaPickingEvent (int nb_points, const pcl::Indices &indices)
bool | getPointsIndices (pcl::Indices &indices) const
| For situations where a whole are is selected, return the points indices. More...

## Detailed Description

/brief Class representing 3D area picking events.

Definition at line 48 of file area_picking_event.h.

## Constructor & Destructor Documentation

## AreaPickingEvent()

pcl::visualization::AreaPickingEvent::AreaPickingEvent | ( | int | nb_points,
|  | const pcl::Indices & | indices
| ) |  |

inline

Definition at line 51 of file area_picking_event.h.

## Member Function Documentation

## getPointsIndices()

bool pcl::visualization::AreaPickingEvent::getPointsIndices | ( | pcl::Indices & | indices | ) | const

inline

For situations where a whole are is selected, return the points indices.

Parameters

  [out] | indices | indices of the points under the area selected by user.

Returns
  true, if the area selected by the user contains points, false otherwise

Definition at line 61 of file area_picking_event.h.

The documentation for this class was generated from the following file:

- pcl/visualization/area_picking_event.h